libzypp: zypp::media::MediaChangeReport Struct Reference

libzypp 17.38.6

zypp::media::MediaChangeReport Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::media::MediaChangeReport:

## Public Types
enum | Action { ABORT , RETRY , IGNORE , IGNORE_ID , CHANGE_URL , EJECT }
enum | Error { NO_ERROR , NOT_FOUND , IO , INVALID , WRONG , IO_SOFT }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual Action | requestMedia (Url &, unsigned, const std::string &, Error, const std::string &, const std::vector< std::string > &, unsigned int &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Definition at line 304 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::media::MediaChangeReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |
IGNORE_ID |
CHANGE_URL |
EJECT |

Definition at line 306 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::media::MediaChangeReport::Error

Enumerator
NO_ERROR |
NOT_FOUND |
IO |
INVALID |
WRONG |
IO_SOFT | IO error which can happen on worse connection like timeout exceed.

Definition at line 315 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ requestMedia()

virtual Action zypp::media::MediaChangeReport::requestMedia | ( | Url & | ,
|  | unsigned | ,
|  | const std::string & | ,
|  | Error | ,
|  | const std::string & | ,
|  | const std::vector< std::string > & | ,
|  | unsigned int & | )
| inlinevirtual

Parameters

  url | in: url for which the media is requested, out: url to use instead of the original one
  mediumNr | requested medium number
  label | label of requested medium
  error | type of error from Error enum
  description | error message (media not desired or error foo occured)
  devices | list of the available devices (for eject)
  dev_current | in: index of the currently used device in the devices list out: index of the devices to be ejected in the devices list

Returns
  Action (ABORT by default)

Definition at line 337 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h